Subject: Re: bug#49822: 28.0.50; python-shell-send functions show no output

From: dalanicolai <[email-masked]>
Date: Thu, 5 Aug 2021 12:03:02 +0200

Okay, I have switched to the master branch now and rebuild emacs.

So I find it works differently than I thought. As reported in my original
bug-report,
the comint still does not show the output when sending using `C-c C-c` but
I see now
that actually that is bound to `python-shell-send-buffer`. So now I notice
that the only
function that effects in the comint printing the output is
`python-shell-send-statement`.

Probably I was misled by the Spacemacs function `pyhton-shell-send-line`
which uses
`python-shell-send-region` and therefore when used the comint does not
print the output.
(And I was blindly assuming that `C-c C-c` was using shell send
line/statement)

Thanks for your replies!

On Wed, 4 Aug 2021 at 09:18, Lars Ingebrigtsen <[email-masked]> wrote:

> [email-masked] writes:
>
> > M-x run-python
> > type e.g.: 5+5
> > then send using `C-c C-c`
> >
> > The comint shows no output. Same for ipython comint.
>
> I'm unable to reproduce this on the current trunk -- I seem to recall
> this was fixed a few months ago.
>
> [...]
>
> > In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
> > 3.24.25, cairo version 1.16.0)
> >  of 2021-02-18 built on daniel-fedora
> > Repository revision: 185121da6978553d538d37d6d0e67dc52e13311f
> > Repository branch: feature/native-comp
>
> As Andrea said -- this branch no longer exists (it's been merged into
> the trunk), which might explain why your Emacs is half a year behind.
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>